%% Lagrange Interpolationpolynome - Visualisierung

% Vers. 1.0 08.2016 (s. LagPoly Vers. 1.4; 03.2013)
% Copyright W.Schweizer
% Simulation physikalischer Systeme - Computational Physics mit MATLAB 
% 2016


xp = linspace(0,1);
for Or =2:5
    Or = Or-1;
    Intervall = [0,1];   % Intervall vorgeben
    dx = (Intervall(2)-Intervall(1))/Or;
    lauf = 0:Or;
    A = zeros(Or+1);
    for n = lauf
        A(n+1,:)=(Intervall(1)+n*dx).^lauf;
    end
    C = eye(Or+1)/A;
    C = flipud(C);   % Spaltenweise
    subplot(2,2,Or), hold on
    plot([0,1],[0,0],'k')
    for k=1:length(C)
        plot(xp,polyval(C(:,k),xp),'k','LineWidth',1), shg
    end
end